This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1288196 - API DELETE cluster needs validation for two simultaneous invocations
API DELETE cluster needs validation for two simultaneous invocations
Status: NEW
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Calamari (Show other bugs)
1.3.1
Unspecified Unspecified
low Severity low
: rc
: 1.3.4
Assigned To: Gregory Meno
ceph-qe-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 14:19 EST by Gregory Meno
Modified: 2017-10-17 11:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregory Meno 2015-12-03 14:19:33 EST
Description of problem:
We are delivering a HTTP 500 response when two deletes of the same cluster are issues.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:
HTTP 500

Expected results:
HTTP 404 ?

Additional info:

Note You need to log in before you can comment on or make changes to this bug.